# $Revision: 1.10 $, $Date: 2003/11/12 22:21:46 $
Summary:	ulT1mo collection of Type1 fonts with iso8859-2 encoding
Summary(pl):	ulT1mo - zestaw fontw Type1 z kodowaniem iso8859-2
Name:		fonts-Type1-ulT1mo
Version:	1.0beta
Release:	4
License:	Freeware
Group:		Fonts
Source0:	ulT1mo-beta-1.0.tgz
# Source0-md5:	90533d6c3b505333e7e78ffc0451beb5
Source1:	%{name}.Fontmap
Requires(post,postun):	fontpostinst >= 0.1-6
Requires:	%{_fontsdir}/Type1
Obsoletes:	XFree86-fonts-Type1-ISO8859-2
Obsoletes:	XFree86-ISO8859-2-Type1-fonts
Obsoletes:	XFree86-latin2-Type1-fonts
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		t1fontsdir	%{_fontsdir}/Type1
%define		t1afmdir	%{t1fontsdir}/afm
%define		t1pfmdir	%{t1fontsdir}/pfm

%description
The ulT1mo (read ultimo) collection is bundle of freeware PostScript
Type1 fonts with iso8859-2 encoding. Better don't install it if you
don't like troubles.

%description -l pl
ulT1mo (czytaj: ultimo) to zestaw darmowych fontw Type1 z kodowaniem
iso8859-2. Nie instaluj go, jeli nie chcesz mie problemw.

%prep
%setup -q -n ulT1mo-beta-1.0

%build
for f in *.pfb ; do
	mv -f $f `basename $f .pfb`-ISO-8859-2.pfb
done
cd afm
for f in *.afm ; do
	mv -f $f `basename $f .afm`-ISO-8859-2.afm
done
cd ../pfm
for f in *.pfm ; do
	mv -f $f `basename $f .pfm`-ISO-8859-2.pfm
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{t1fontsdir},%{t1afmdir},%{t1pfmdir}}

install *.pfb $RPM_BUILD_ROOT%{t1fontsdir}
install afm/*.afm $RPM_BUILD_ROOT%{t1afmdir}
install pfm/*.pfm $RPM_BUILD_ROOT%{t1pfmdir}

sed -e 's/\.pfb/-ISO-8859-2\.pfb/' fonts.scale.ulT1mo\
	> $RPM_BUILD_ROOT%{t1fontsdir}/fonts.scale.ulT1mo
install fonts.alias.ulT1mo $RPM_BUILD_ROOT%{t1fontsdir}/fonts.alias.ulT1mo
install %{SOURCE1} $RPM_BUILD_ROOT%{t1fontsdir}/Fontmap.ulT1mo

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst Type1

%postun
fontpostinst Type1

%files
%defattr(644,root,root,755)
%doc README*
%{t1fontsdir}/*.pfb
%{t1fontsdir}/fonts.scale.ulT1mo
%{t1fontsdir}/fonts.alias.ulT1mo
%{t1fontsdir}/Fontmap.ulT1mo
%{t1afmdir}/*.afm
%{t1pfmdir}/*.pfm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fonts-Type1-ulT1mo.spec,v $
Revision 1.10  2003/11/12 22:21:46  gotar
- added warning to %desc

Revision 1.9  2003/06/23 10:55:51  wrobell
- s#X11/Fonts#Fonts#

Revision 1.8  2003/06/20 17:46:45  wiget
- requires new fontpostinst to proper t1lib FontDatabase generation

Revision 1.7  2003/06/19 11:51:30  gotar
- switched post/postun to fontpostinst
- packages require directory in which they have fonts
- release++

Revision 1.6  2003/05/28 12:58:56  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 05:47:29  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/01/20 21:33:49  qboosh
- use tr (fileutils) instead of sed, updated Requires()

Revision 1.3  2002/09/06 14:55:57  blues
- release 2 - new doc - STBR

Revision 1.2  2002/03/27 11:18:32  roman
s/freeware/Freeware in License

Revision 1.1  2002/03/19 20:39:29  qboosh
- new package - separated from XFree86-fonts
- fixed filenames in Fontmap, added missing entry to fonts.scale
